API Reference / Developer Replace application budgets Replaces all budget settings of the application, including all per-installation limits. Send the current budget revision in a strong If-Match header. Returns not_found when a listed installation does not belong to the application.
PUT /api/v2/developer/apps/{appId}/budgets
Parameters # Property Type Location Description appIdstringRequired path- If-MatchstringRequired header-
Request # curl --request PUT 'https://strave.gg/api/v2/developer/apps/APP_ID/budgets' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 200Response for status 200
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 409Response for status 409
application/json 412Response for status 412
application/json 428Response for status 428
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobjectRequired - └ applicationIdstringRequired - └ killSwitchbooleanRequired - └ maxInstallationsinteger | nullRequired - └ limitsobject[]Required - └ meterstringRequired - └ limitintegerRequired - └ warningAtinteger- └ installationLimitsobject[]Required - └ installationIdstringRequired - └ limitsobject[]Required - └ meterstringRequired - └ limitintegerRequired - └ warningAtinteger- └ revisionintegerRequired -